﻿.breadcrumb-container {
    display: flex;
    padding-bottom: 0.5rem;
}

#breadcrumb_div {
    display: flex;
    align-items: center;
    width: calc(100vw - var(--left-nav-width, 365px) - 1rem);
    padding: 0.5rem 0rem 0.5rem 1.5rem;
}

#breadcrumb_div .is-selector {
    position: relative;
}

#breadcrumb_div .dx-selectbox {
    position: absolute;
    top: 0;
    left: 0;
}

#breadcrumb_div .dx-button-mode-contained.dx-button-normal:not(.dx-button-has-icon,.dx-calendar-caption-button) {
    border: 0;
}

#breadcrumb_div .bc_step .bc_ellipsed:not(:last-child) {
    margin-right: 0.5rem;
}
#breadcrumb_div .bc_step > *:empty{
    display: none;
}

.dx-overlay-content:has(.bc_ellipsed) {
    transform: translateY(30px)!important;
}

#breadcrumb_div .dx-texteditor.dx-editor-outlined {
    border: none;
    background: none;
    transform: translate(-10px, 7px);
}

#breadcrumb_div .dx-texteditor-buttons-container {
    display: none;
}

#breadcrumb_div .dx-selectbox .dx-texteditor-input {
    background-color: transparent;
    visibility: hidden;
}

#breadcrumb_div .dx-placeholder {
    font-size: var(--dlt-font-size-xs, 0.875rem);
    color: var(--alfa-text-color-primary-disabled, #94979B);
    font-weight: 600;
}
    #breadcrumb_div .bc_ellipsed {
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
        display: block;
    }
    
    #breadcrumb_div .bc_step {
        cursor: pointer;
        color: var(--alfa-text-color-primary-disabled, #94979B);
        display: block;
        font-size: var(--dlt-font-size-xs, 0.875rem);
        font-weight: 600;
        flex: 1;
        min-width: 0;
        max-width: fit-content;
        display: flex;
        align-items: center;
        position: relative;
        z-index: 40;
    }
        #breadcrumb_div .bc_step[disabled] {
            cursor: default;
            color: var(--alfa-text-color-primary);
        }
        
    #breadcrumb_div .bc_del {
        white-space: pre;
        display: inline-block;
        padding: 4px 4px 0 4px;
    }

    #breadcrumb_div i {
        font-size: 1.5rem;
    }